Get full card details
curl --request POST \
--url https://business.planewallet.org/api/v1/cards/{id}/reveal \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/cards/{id}/reveal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/cards/{id}/reveal"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"cardNumber": "4242424242424242",
"expiry": "12/30",
"cvv": "123",
"environment": "<string>",
"testOnly": true
}{
"statusCode": 123,
"message": "<string>"
}Cards
Get full card details
Required permission: cards:read_sensitive. Sandbox is isolated from live funds. Live integration availability is checked server-side. Server-to-server only. Do not log, cache or include this response in analytics. Responses use Cache-Control: no-store.
POST
/
api
/
v1
/
cards
/
{id}
/
reveal
Get full card details
curl --request POST \
--url https://business.planewallet.org/api/v1/cards/{id}/reveal \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/cards/{id}/reveal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/cards/{id}/reveal"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"cardNumber": "4242424242424242",
"expiry": "12/30",
"cvv": "123",
"environment": "<string>",
"testOnly": true
}{
"statusCode": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.